package com.zd.exam.service;

import com.zd.exam.domain.ElPaperQu;

import java.util.List;

/**
 * 试卷考题Service接口
 *
 * @author zd
 * @date 2021-08-31
 */
public interface IElPaperQuService {
    /**
     * 查询试卷考题
     *
     * @param id 试卷考题主键
     * @return 试卷考题
     */
    public ElPaperQu selectElPaperQuById(Long id);

    /**
     * 查询试卷考题列表
     *
     * @param elPaperQu 试卷考题
     * @return 试卷考题集合
     */
    public List<ElPaperQu> selectElPaperQuList(ElPaperQu elPaperQu);

    /**
     * 新增试卷考题
     *
     * @param elPaperQu 试卷考题
     * @return 结果
     */
    public int insertElPaperQu(ElPaperQu elPaperQu);

    /**
     * 修改试卷考题
     *
     * @param elPaperQu 试卷考题
     * @return 结果
     */
    public int updateElPaperQu(ElPaperQu elPaperQu);

    /**
     * 批量删除试卷考题
     *
     * @param ids 需要删除的试卷考题主键集合
     * @return 结果
     */
    public int deleteElPaperQuByIds(Long[] ids);

    /**
     * 删除试卷考题信息
     *
     * @param id 试卷考题主键
     * @return 结果
     */
    public int deleteElPaperQuById(Long id);

    ElPaperQu queryQuDetail(ElPaperQu paperQu);

    int sumObjective(Long paperId);

    void fillAnswer(ElPaperQu paperQu);
}
